Application of Deep Kernel Models for Certified and Adaptive RB-ML-ROM Surrogate Modeling
=========================================================================================

This repository contains the supplementary material for the publication
```
Application of Deep Kernel Models for Certified and Adaptive RB-ML-ROM Surrogate Modeling (2023)
T. Wenzel, B. Haasdonk, H. Kleikamp, M. Ohlberger, F. Schindler, 
```

It was used to carry out the numerical experiments and generate the figures for the publication.
The experiments were performed on Linux systems in 2023 and should work with Python versions of that time (e.g., `python3.9`).
The steps below each indicate a setup to be executed in a terminal, resulting in a URL printed to be opened in a browser to view and run the indicated notebooks.


To reproduce the figures and results
------------------------------------

The data collected during the experiments is contained within this repository (in the `notebooks/data_figures` folder), and generating the figures is straightforward:

To setup an evironment for regenerating the figures, execute:
```bash
export BASEDIR=$PWD
virtualenv -p python3.9 venv-figures  # replace python3.9 with something suitable
. venv-figures/bin/activate
pip install -r requirements-figures.txt
cd $BASEDIR/pymor && pip install -e .
cd $BASEDIR && ./start_notebook_server.sh
```
After opening the printed URL (the one with `127....`) in a browser, run
- for Figure 1: [`MC_adaptive_model__analysis.md`](notebooks/MC_adaptive_model__analysis.md)



To rerun the experiments
------------------------

Reproducing the experiments is more involved and will not yield data coinciding with the original results (due to different hardware/software setup).
To setup an evironment for reproducing the experiments, execute:
```bash
export BASEDIR=$PWD
virtualenv -p python3.9 venv-experiments  # replace python3.9 with something suitable
. venv-experiments/bin/activate
pip install -r requirements-experiments.txt
cd $BASEDIR/pymor && pip install -e .
cd $BASEDIR && ./start_notebook_server.sh
```
After opening the printed URL (the one with `127....`) in a browser, run
- for Figure 1: [`MC_adaptive_model__run.md`](notebooks/MC_adaptive_model__run.md)
